Package org.apache.calcite.avatica

# Class MetaImpl.MetaTableType

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaTableType

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaTableType extends Object
Metadata describing a table type.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`tableType`

## Constructor Summary

Constructors
Constructor
Description
`MetaTableType(String tableType)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tableType

public final String tableType

## Constructor Details

### MetaTableType

public MetaTableType(String tableType)